## org.apache.taglibs.standard.lang.jstl.test.beans
Class Factory

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.test.beans.Factory

    public class Factory

extends Object

A factory for generating the various beans

Version:
  $Change: 181181 $$DateTime: 2001/06/26 09:55:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`Factory()`

Method Summary
`static PublicBean1` `createBean1()`
`static PublicBean1` `createBean2()`
`static PublicBean1` `createBean3()`
`static PublicInterface2` `createBean4()`
`static PublicInterface2` `createBean5()`
`static PublicInterface2` `createBean6()`
`static PublicInterface2` `createBean7()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Factory

    public Factory()

Method Detail

### createBean1

    public static PublicBean1 createBean1()

### createBean2

    public static PublicBean1 createBean2()

### createBean3

    public static PublicBean1 createBean3()

### createBean4

    public static PublicInterface2 createBean4()

### createBean5

    public static PublicInterface2 createBean5()

### createBean6

    public static PublicInterface2 createBean6()

### createBean7

    public static PublicInterface2 createBean7()

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.